import cqt
import numpy as np
import pylab as plt


print '....................Running Reassigned CQT demo........................'

# Generating dummy signal: spectral ramp --------------------------------------
t = np.arange(0, 44100*10, 1)
f = t/(44100.*10.)*1320.
fs = 44100
func = np.sin(2*np.pi*f/fs*t)
sound = cqt.Audio(func[:, np.newaxis], fs)
# -----------------------------------------------------------------------------

# Setting CQT parameters ------------------------------------------------------
hop = 0.1
f_min = 200.
f_max = 4000.
r = 3.
# -----------------------------------------------------------------------------

# Computing traditional CQT ---------------------------------------------------
print 'Computing traditional CQT..............................................'
not_reassigned = cqt.cqgram(sound, hop, f_min, f_max, r)
not_reassigned.display()
plt.title('Traditional CQT spectrogram of a spectral ramp')
# -----------------------------------------------------------------------------

# Computing reassigned CQT ----------------------------------------------------
print 'Computing reassigned CQT...............................................'
reassigned = cqt.rcqgram(sound, hop, f_min, f_max, r)
reassigned.display()
plt.title('Reassigned CQT spectrogram of a spectral ramp')
# -----------------------------------------------------------------------------
